#!perl -w

use locale;
use POSIX 'locale_h';
setlocale(LC_CTYPE,$locale{Danish});

open IN1, "T2P_input_lex_rand";

while (<IN1>) {
	chomp;
	$line = $_;
	@list = split (/\t/, $line);
	$done_word = $list[0];
	$done{$done_word} = $line;	# ++ opregningsoperator

} # end while

close IN1;

open IN2,"dk_trk_100k";
open OUT,">new_t2p_input";

while (<IN2>) {
	chomp;
	$line2 = $_;
	@list2 = split /\t/,$line2;
	$ort = $list2[0];
	unless (exists $done{$ort}) {
		print OUT "$done{$ort}\n";
		
	} # end unless
} # end while

close OUT;
close IN2;


