#!perl

use locale;
use POSIX 'locale_h';
setlocale(LC_CTYPE,$locale{Danish});
require "L:\\LEXWORKS_DEVELOPMENT\\G2P_LIGHT\\DK\\TREES\\dk_trk_100k_r1d7_a.pl";
require "L:\\LEXWORKS_DEVELOPMENT\\G2P_LIGHT\\DK\\TREES\\dk_trk_100k_r1d7_b.pl";
require "L:\\LEXWORKS_DEVELOPMENT\\G2P_LIGHT\\DK\\TREES\\dk_dec_100000_r1d7_a.pl";
require "L:\\LEXWORKS_DEVELOPMENT\\G2P_LIGHT\\DK\\TREES\\dk_dec_100000_r1d7_b.pl";
require "L:\\LEXWORKS_DEVELOPMENT\\G2P_LIGHT\\DK\\TREES\\dk_dec_postfix.pl";


sub g2p_light {
	my $trk_w = $to_dec = shift;
	my $wd = uc($to_dec);
	my @olist = split //,$wd;
	my @trk_olist = split //,$trk_w;
	@plist = &l2p('trk',@trk_olist);
	my @declist = &l2p('dec',@olist);
	my $dec = join "",@declist;
	$dec = &postfix($dec);
	$dec = &fix_case($to_dec,$dec);
	my $trk = join " ",@plist;
	return $wd,$dec,$trk;
}

sub l2p {
    # the letter-to-phone workhorse
    my ($flag,@letters) = @_;
#	print OUT "L:  @letters\n";
    my @orig_letter = @letters;
    push @letters, ('-', '-', '-');
    unshift @letters, ('-', '-', '-');

    my $res; 
    my $localgoodcount = 0;
    my $opos;
    my @phones;

    for $opos (0..$#orig_letter) {
	# context2phone is the dtree subroutine from the "require"
#	$res = &sw_trk_50000_r1d7(@letters[$opos..$opos+6]) if $flag eq 'trk';

	$res = &dk_trk_100k_r1d7_a(@letters[$opos..$opos+6]) if $flag eq 'trk';
#	print "RES:  $res\n";
	if ($res eq'xxx') {$res = &dk_trk_100k_r1d7_b(@letters[$opos..$opos+6]) if $flag eq 'trk'}


	$res = &dk_dec_100000_r1d7_a(@letters[$opos..$opos+6]) if $flag eq 'dec';
	if ($res eq'xxx') {$res = &dk_dec_100000_r1d7_b(@letters[$opos..$opos+6]) if $flag eq 'dec'}
	push @phones, $res;
    }

    @phones;
}

sub fix_case {
	my ($to_dec,$dec) = @_;
	my @to_dec = split //,$to_dec;
	my @dec = split //,$dec;
	my (@return,$c);
	while (@dec) {
		$c = shift(@dec);
		if ($c eq '+') {push(@return,$c)}
		else { push(@return,shift(@to_dec))} 
	}
	return join("",@return);
}

1;