# Lser alla filer (vars namn ej slutar med ".pl") i cwd och dess underbibliotek. Presenterar statistik p skrmen

use Cwd;
$d=cwd();
use File::Find;

$tot=0; $fejl=0; $ok=0; $no_of_files=0;

find(\&sortsentences, ($d,));

$percentfejl = sprintf("%.2f",($fejl/$tot)*100);
$percentok = sprintf("%.2f",($ok/$tot)*100);


print STDOUT "\nNumber of files:\t$no_of_files\n";
print STDOUT "Number of sentences:\t$tot\n";
print STDOUT "Wrong sentences:\t$fejl\t\($percentfejl\%\)\n";
print STDOUT "Correct sentences:\t\t$ok\t\($percentok\%\)\n";

print STDOUT "\n\nPress \"Enter\" to close this window!\n";
$quit = <STDIN>;

sub sortsentences {
	if ($File::Find::name=~m/new_t2p_input_compare\.OUT/) {
		open IN, $File::Find::name;
		$no_of_files++;
		while (<IN>) {
			$tot++;
			($tag, $trk, $orgtrk, $dek)=split(/\t/,$_);
			if ($tag eq "FEJL:") {$fejl++}
			elsif ($tag eq "OK:") {$ok++}
		}
		close IN;
	}
}

