## ---------------------------------------------------------------------------
## CorrPhon.run.pl
## Created using CorrPhon.translate.pl at Tue Feb 19 16:33:41 2002
## ---------------------------------------------------------------------------
## Values from CorrPhon.ini:
$infile = "pron_variants_line.txt";
$outfile = "testlex.parsed";
$rulefile = "CorrPhon.SW.lng";
$corrPhon = 'CorrPhon.pl';
$trc_alphabet = 'sw.sampa';
$comp_bound = '\+';
$field_separator = '\t';
$last_index = 1;
$ort_index = 0;
$morph_index = 0;
@trc_index = (1,2,3,4);
@trc_style_index_original = ();
@trc_lang_index_original = ();
$pos_index = -1;
$exp_index = -1;
$ort_lang_index = -1;
$gbg_index = -1;
$lex_index = -1;
$index_index = -1;
$restr_ort = '.*';
$restr_decomp = '.*';
$restr_pos = '.*';
$restr_lang = '.*';
$restr_expan = '.*';
$restr_lex_origin = '.*';
$restr_garbage = '.*';
$costum_output = 0;
$list_correct = 1;
$list_statistics = 1;
$ERROR_MSGS{'e01'} = 1;
$ERROR_MSGS{'e02'} = 1;
$ERROR_MSGS{'e03'} = 1;
$ERROR_MSGS{'e04'} = 1;
$ERROR_MSGS{'e05'} = 1;
$ERROR_MSGS{'e06'} = 1;
$ERROR_MSGS{'e07'} = 1;
$ERROR_MSGS{'e08'} = 1;
$ERROR_MSGS{'e09'} = 1;
$ERROR_MSGS{'e10'} = 1;
$WARN_MSGS{'w01'} = 1;
$WARN_MSGS{'w02'} = 0;
$WARN_MSGS{'w03'} = 1;
$WARN_MSGS{'w04'} = 1;
$WARN_MSGS{'w05'} = 0;
$WARN_MSGS{'w06'} = 1;
## END: Values from CorrPhon.ini
## ---------------------------------------------------------------------------
## Values from sw.sampa:
$lang = 'Swedish';
$alphabet = 'Sampa';
$long_i = 'i:';
$long_y = 'y:';
$long_oe = '2:';
$long_e = 'e:';
$long_ae = 'E:';
$long_a = 'A:';
$long_u = '\}:';
$long_o = 'u:';
$long_aa = 'o:';
$short_i = 'I';
$short_y = 'Y';
$short_e_close = 'e';
$short_e_open = 'E';
$short_a = 'a';
$short_oe = '9';
$short_o = 'U';
$short_aa = 'O';
$short_u = 'u0';
$diphthong_eu = 'E\*U';
$diphthong_au = 'a\*U';
$schwa = '\@';
$tj = 's\'';
$ng = 'N';
$sj = 'x\\';
$s = 's';
$v = 'v';
$m = 'm';
$n = 'n';
$d = 'd';
$g = 'g';
$k = 'k';
$r = 'r';
$j = 'j';
$b = 'b';
$f = 'f';
$h = 'h';
$l = 'l';
$p = 'p';
$t = 't';
$retro_s = 's`';
$retro_t = 't`';
$retro_d = 'd`';
$retro_l = 'l`';
$retro_n = 'n`';
$symb_retro = '`';
$symb_syll_bound = '\$';
$symb_word_bound = '\_';
$stress_main_ton1 = '\"';
$stress_main_ton2 = '\"\"';
$stress_sec = '\%';
$stress_phr_acc = '';
$pattern_toneme1 = "([^\"]+(\$|\_)|)\"[^\"\%]+";
$pattern_toneme2 = "([^\"]+(\$|\_)|)\"\"[^\"]+(\$\%)?[^\"\%]+";
$pattern_phr_acc = "([^\"]+\$|)\\"(\")?[^\"\%]+(\%[^\"\%]+|)";
$replace = 'x\\ : x';
## END: Values from sw.sampa
## ---------------------------------------------------------------------------
## Values from CorrPhon.SW.lng:
$comp_stress_main = $stress_main_ton1.'|'.$stress_main_ton2;
$comp_vowel_long = $long_i.'|'.$long_y.'|'.$long_oe.'|'.$long_e.'|'.$long_ae.'|'.$long_a.'|'.$long_u.'|'.$long_o.'|'.$long_aa;
$comp_vowel_short = $short_u.'|'.$short_i.'|'.$short_y.'|'.$short_e_close.'|'.$short_e_open.'|'.$short_a.'|'.$short_oe.'|'.$short_o.'|'.$short_aa.'|'.$schwa;
$comp_diphthong = $diphthong_eu.'|'.$diphthong_au;
$comp_vowel = $comp_diphthong.'|'.$comp_vowel_long.'|'.$comp_vowel_short;
$comp_nucleus = $comp_vowel;
$comp_v_plosive = $b.'|'.$retro_d.'|'.$d.'|'.$g;
$comp_uv_plosive = $p.'|'.$retro_t.'|'.$t.'|'.$k;
$comp_plosive = $comp_v_plosive.'|'.$comp_uv_plosive;
$comp_v_fricative = $v;
$comp_uv_fricative = $f.'|'.$retro_s.'|'.$tj.'|'.$s.'|'.$h.'|'.$sj;
$comp_fricative = $comp_v_fricative.'|'.$comp_uv_fricative;
$comp_nasal = $ng.'|'.$retro_n.'|'.$n.'|'.$m;
$comp_nasal_no_m = $ng.'|'.$retro_n.'|'.$n;
$comp_lateral = $retro_l.'|'.$l;
$comp_retroflex = $retro_s.'|'.$retro_t.'|'.$retro_d.'|'.$retro_n.'|'.$retro_l;
$comp_x_and_r = $r.'|'.$comp_retroflex;
$comp_s_and_retro = $retro_s.'|'.$s;
$comp_x_cand_no_l = $s.'|'.$t.'|'.$d.'|'.$n;
$comp_x_cand = $s.'|'.$t.'|'.$d.'|'.$n.'|'.$l;
$comp_dev_cand = $b.'|'.$v.'|'.$g;
$comp_dev_post = $p.'|'.$t.'|'.$k.'|'.$s;
$comp_uv_cons = $comp_uv_plosive.'|'.$comp_uv_fricative;
$comp_consonant = $comp_plosive.'|'.$comp_fricative.'|'.$comp_nasal.'|'.$comp_lateral.'|'.$j.'|'.$r;
$comp_stress = $stress_sec.'|'.$comp_stress_main.'|'.$stress_phr_acc;
$comp_syll_delim = $symb_syll_bound.'|'.$symb_word_bound;
$comp_not_sound = $comp_stress.'|'.$comp_syll_delim;
$comp_symbol = $comp_vowel.'|'.$comp_consonant.'|'.$comp_not_sound;
$IFF_ALL_CONDITIONS{"($comp_not_sound)vj"} = 'ort=>ntervju';
$ERROR{"$schwa([^\_\$])*($comp_syll_delim)"} = "Schwa cannot occur in non-final syllables";
$ERROR{"($comp_stress)([^$schwa\_\$])*$schwa"} = "Schwa cannot occur in stressed syllables";
$ERROR{"^[^$symb_word_bound$symb_syll_bound]$short_e_close([^:$symb_word_bound$symb_syll_bound])*END"} = "Short closed e cannot occur in final syllables";
$WARNING{"($comp_vowel_long)$r($comp_syll_delim)($comp_x_cand)"} = "Potential retroflex following long vowel and r should probably be retroflex";
$WARNING{"($comp_retroflex)($comp_not_sound)*($comp_x_cand)[^$symb_retro\']"} = "Potential retroflex following retroflex should probably be retroflex";
$WARNING{"($comp_vowel_short)($comp_uv_cons)*($comp_dev_cand)($comp_not_sound)*($comp_dev_post)"} = "Potential devoiced consonant should probably be devoiced when followed by ($comp_dev_post)";
$WARNING{"($comp_vowel_short)($comp_uv_cons)*$d($comp_not_sound)*($comp_dev_post)"} = "$d should probably be devoiced when followed by ($comp_dev_post)";
$WARNING{"$n($comp_syll_delim)($comp_stress)*$g"} = "Watch out for $n$g over syllable boundary";
$TRC_MORF{"[^r]ng"} = "($ng|$n$j)--Check the phonetic correspondence to <ng>";
$TRC_MORF{"[^r]n$comp_bound(g)[^jiey]"} = "$ng($comp_not_sound)*$g--Check the phonetic correspondence to <n($comp_bound)g>";
$TRC_MORF{"[^r]n$comp_bound?k"} = "($ng($comp_not_sound)*$k|$n($comp_not_sound)*$tj)--Check the phonetic correspondence to <n($comp_bound)k>";
$TRC_MORF{"([^sgkhtdlaoueiy])$comp_bound\\1"} = "($comp_consonant)($comp_not_sound)+\\1--Check the phonetic correspondence to geminates over compound boundary";
$TRC_MORF{"[^rdtln]([dtln])+($comp_bound)?s($comp_bound)s([^hcjkt]|t[^j])"} = "$s($comp_not_sound)+$s--Check the phonetic correspondence to geminates (ss) over compound boundary";
$TRC_MORF{"[aoueiykpgbj]s$comp_bound(s)([^hcjkt]|t[^j])"} = "$s($comp_not_sound)+$s--Check the phonetic correspondence to geminates (ss) over compound boundary";
$TRC_MORF{"r[ldnt]*s$comp_bound(s)([^hcjkt]|t[^j])"} = "$retro_s($comp_not_sound)+$retro_s--Check the phonetic correspondence to geminates (ss) over compound boundary";
$TRC_MORF{"nds[^j]"} = "$n$d($comp_not_sound)*$s--Check the phonetic correspondence to <nds>";
$TRC_MORF{"($comp_bound)s($comp_bound)[^s]"} = "($comp_s_and_retro)($comp_not_sound)+--Check the phonetic correspondence to the linking s";
$ALLOWED_DUPL = '\"\"';
$ONSET_not_init = "($comp_retroflex)";
$ONSET_rare = "($s$k$l|$p$s|$d$j|$s$f|$v$j)";
$ONSET_legal = "($s($p$r|$p$j|$p$l|$t$r|$k$r|$k$v)|$retro_s($p$r|$p$j|$p$l|$k$r|$k$v|$retro_t$r)|$p$r|$p$j|$p$l|$b$r|$b$j|$b$l|$k$r|$k$l|$k$v|$k$n|$g$r|$g$l|$g$n|$f$r|$f$l|$f$j|$f$n|$v$r|$retro_s($p|$retro_t|$k|$m|$retro_n|$v|$retro_l)|$s($l|$p|$t|$k|$m|$n|$v)|($retro_t|$retro_d|$t|$d)($r|$v)|($retro_n|$n|$m)$j|$comp_plosive|$comp_fricative|$retro_l|$l|$retro_n|$n|$m|$r|$j)";
$CODA_rare = "($g$m($s|)|$j($l|$v|$n|$p)($s|)|$retro_n$retro_s$retro_t($s|)|$r$d|$r$t|$t$m($s|)|$r$retro_s($s|)|$r$retro_t|$t$retro_s)";
@comp_groups = ('comp_stress_main', 'comp_vowel_long', 'comp_vowel_short', 'comp_diphthong', 'comp_vowel', 'comp_nucleus', 'comp_v_plosive', 'comp_uv_plosive', 'comp_plosive', 'comp_v_fricative', 'comp_uv_fricative', 'comp_fricative', 'comp_nasal', 'comp_nasal_no_m', 'comp_lateral', 'comp_retroflex', 'comp_x_and_r', 'comp_s_and_retro', 'comp_x_cand_no_l', 'comp_x_cand', 'comp_dev_cand', 'comp_dev_post', 'comp_uv_cons', 'comp_consonant', 'comp_stress', 'comp_syll_delim', 'comp_not_sound', 'comp_symbol');
$CODA_legal = "(|[^$h$tj]|($b|$d|$t|$l$m|$n$d)($s|$s$k($t|)|)|($n|$m|$f)(($s|$s$k($t|)|$s$t($s|)|$t($s|))|)|$l(($s|$s$k($t|)|($k|$s$t)($s|)|$t($s|))|)|($g|$j)(($s($t|)|($t|$d)($s|))|)|($r$j|$p)($t$s|$t|$s|$s$k($t|)|)|$retro_l((($retro_s|$s)($k($t|)|)|$retro_t)|)|$retro_n($retro_s|$s|$retro_t($s|)|)|($retro_t|$retro_d)($retro_s|$retro_s($k($t|)|)|)|($v($d|$t)|$f$t|$r$retro_l|$g($d|$t)|$j($d|$f|$k|$t)|$l$d)($s|)|($l($k|$n|$t)|$m($b|$d|$f|$t)|$n$retro_s|$t|$r$g|$s($m|$p|$t))($s|)|($r$b)($s|$t|)|$retro_s($s($k|)|$k($t|)|$retro_t|)|($l($p|$f)|$m$p|$r($f|$k|$p))($t|)($s|)|($ng|$k)(($s|)$t|)($s|)|$ng($d|$k($t|)|$n|)($s|)|$s($k($s|$t|)|)|($m$n|$l$j|$n$j|$r$j|$r$m|$m$j|$l$v|$r$v|$v)($d|$t|)($s|))";
$DERIV = '(ring(en|ar(na|)|)(s|)$|rig(a|e|t|)$|arta(d(e|)(s|)|t)$|ls(a|e|t|)$|verk(en|et|)(s|)$|aktig(e|a|t|)$|artig(e|a|t|)$|skap(et|en|)(s|)$|het(en|er|)(s|)$|sam(me|ma|)(s|)$|halt(ig(a|e|)|)$|^all|mssig(t|a|e|)$|sint(a|e|)$|^bar|bar(t|a|e)$|gd(e|a|)$|vis(e|a|t|)$|enlig(t|)$|vr(d(e|a|)|t)$|makar(e(n|)|na|)(s|)$|bo(n|r(na|)|)(s|)$|sinnig(t|(e|a|)(s|))$|sidig(a|e|t|)$)';
## END: Values from CorrPhon.SW.lng
## ---------------------------------------------------------------------------
## Initial values:
$nofLines = 0;
$nofTrcs = 0;
$nofErrTrcs = 0;
$nofGarbage = 0;
$interval = 500;
$newInterval = $interval;
$correctStart = 0;
$nofEntriesInSet = 0;
## END: Initial values
## ---------------------------------------------------------------------------
## Values from CorrPhon.pl:
#! perl -w
## Filename:	CorrPhon2002.pl
## Author:	Sofia Strmbergsson
## Date:	2002-01-25
##
## Description:

$TIME = scalar(localtime);

## replace special characters, e.g. the '\' in 'x\' (sw.sampa) is replaced with ''
&replaceSpecialCharacters;
## map error and warning messages to codes (this is the only place where the messages are)
&mapMessages;
## check the settings in the ini-file, for what errors to look for and what messages to give
&collectMsgsToLookFor;


## -------------------------------------------------------------------------------------------------------------------------
## CALL WITH ARGUMENT: if the call to CorrPhon2002 had the lexical entry as an argument
## -------------------------------------------------------------------------------------------------------------------------
if(@ARGV[0]) {
	$lexEntry = @ARGV[0];					# the lexical entry is the argument
	@posts = split(/$field_separator/, $lexEntry);    	# split entry by the specified input separator and collect the posts in an array
	chomp($posts[$last_index]);				# remove newline from last post
	
	&infoInEntry;						# extract linguistic info from the entry

	if(&inputRestrictions eq "ok") {			# if all input restrictions (in the ini-file) are met
		foreach $trc (@trcs) {				# for all transcriptions in the entry...
			$nofTrcs++;
			$trc = &replace($trc);					# replace all special characters
			$errDesc = "";						# no errors found yet...
			$errDesc .= &symbolParse($trc, $ENTRY{morf});		# check the symbol structure
			$errDesc .= &syllStressParse($trc, $ENTRY{morf});	# check the syllable and stress structure
			if($errDesc ne "") {					# if errors (or warnings) were generated...
				my $errDesc = &fixErrDesc($errDesc);		# sort messages, only print the ones asked for
				my $totString = &fixOutput($errDesc);		# print output according to description in .ini-file
				print STDOUT "\n\n$totString\n\n";
			}
		}
	}
}


## -------------------------------------------------------------------------------------------------------------------------
## CALL WITH NO ARGUMENT: else, if the call to CorrPhon2002 had NO argument -> read from file
## -------------------------------------------------------------------------------------------------------------------------
else {
	open(OUT, ">$outfile");
	print OUT "";							# erase what's allready in OUTFILE
	close(OUT);
	
	open(INFILE, $infile) or die "Can't open $infile\nPlease check the name again!\n";		# open the input file...
	while (<INFILE>) {						# ... and read from it
		$lexEntry = $_;
		if($lexEntry =~ /CORRECT\sENTRIES/) {$correctStart = 1;}	# don't check anything after "CORRECT ENTRIES:"

		elsif($lexEntry !~ /^$/ && $lexEntry =~ /^[^\#]/) {		# the line contains valuable info...
			@posts = split(/$field_separator/, $lexEntry);    	# split entry by separator, collect posts in array
			chomp($posts[$last_index]);				# remove newline from last post

			&infoInEntry;						# extract linguistic info from the current entry

			if (&inputRestrictions eq "ok") { 			# if all input restrictions (in the ini-file) are met
				if ($ENTRY{garbage} eq "GARB") {$nofGarbage++;}	# if marked as garbage, increase number of garbage
				
				if ($correctStart == 0) {			# if the entry is not listed as correct...
					$nofEntriesInSet++;			# increase number of entries in set
					my $allTrcsCorrect = 1;			# assume that all trcs are correct
					foreach $trc (@trcs) {			# for all transcriptions in the entry...
						$nofTrcs++;			# increase the number of trcs
						&getLangAndStyle;		# collect the language code and the style code for the current trc
						$ENTRY{trc} = &replace($trc);	# replace special characters in the trc string
	
						my $errDesc = "";		# no errors found yet...
						my $newErrDesc = "";
						$errDesc .= &symbolParse($ENTRY{trc}, $ENTRY{morf});	# check symbol structure
						$errDesc .= &syllStressParse($ENTRY{trc}, $ENTRY{morf});# check syllable and stress structure
						if ($errDesc ne "") {					# if errors (or warnings) were generated...
							$newErrDesc = &fixErrDesc($errDesc);		# sort messages, only print the ones asked for
						}
						
						if ($newErrDesc ne "") {			# if there are messages left after fixErrDesc...
							$nofErrTrcs++;				# increase number of errors
							$totString = &fixOutput($newErrDesc);	# print output according to descr in .ini-file 
							$allTrcsCorrect = 0;			# all trcs are no longer correct
						}
					}#END: foreach $trc (@trcs)
					if ($allTrcsCorrect == 1) {push(@correctOut, $lexEntry);}	# if no errors were found, consider it correct
				}#END: if ($correctStart == 0)
				else {push(@correctOut, $lexEntry);}		# else, the entry IS listed as correct, add it to @correctOut
			}#END: if(&inputRestrictions eq "ok")
			$nofLines++;
		}#END: elsif($lexEntry !~ /^$/...

		# counter information passed to STDOUT
		if($nofLines == $newInterval) {
			print STDOUT "$nofLines lines checked\r";
			$newInterval += $interval;
		}
	} # end of while (<INFILE>) 
	close(INFILE);
	
	$statistics = &getStatistics;		# collects the statistics of number of trcs etc.
	print STDOUT "\n$statistics";		# print statistics to STDOUT
	
	&sortPrintMessages($statistics);	# sort and print error and warning messages according to specs in .ini-file
}


## -------------------------------------------------------------------------------------------------------------------------
## SUBROUTINES: adapting input to engine
## -------------------------------------------------------------------------------------------------------------------------
## special characters have to be replaced with something else in all strings
sub replaceSpecialCharacters {
	foreach $elem (@comp_groups) {
		my $string = "\$$elem = \&replace(\$$elem);";
		eval $string;
	}
	$ONSET_not_init = &replace($ONSET_not_init);
	$ONSET_rare = &replace($ONSET_rare);
	$ONSET_legal = &replace($ONSET_legal);
	$CODA_rare = &replace($CODA_rare);
	$CODA_legal = &replace($CODA_legal);
	while (($trcPattern, $msg) = each %ERROR) {
		$trcPatternNew = &replace($trcPattern);
		$ERROR{$trcPatternNew} = $msg;
		if ($trcPattern ne $trcPatternNew) {delete $ERROR{$trcPattern};}
	}
	while (($trcPattern, $msg) = each %WARNING) {
		$trcPatternNew = &replace($trcPattern);
		$WARNING{$trcPatternNew} = $msg;
		if ($trcPattern ne $trcPatternNew) {delete $WARNING{$trcPattern};}
	}
}

## replaces special characters with dummies, all specified in .ini-file
sub replace {
	my $string = shift;
	@replacements = split(/\|/, $replace);
	foreach $repl (@replacements) {
		($x, $y) = split(/\s:\s/, $repl);
		$x =~ s/(\\)/\\$1/g;
		$string =~ s/$x/$y/g;
	}
	$string =~ s/END/\$/;
	return $string;
}
## error and warning messages are mapped to codes that will be used during the run
## (this is the only place where the messages are in CorrPhon2002.pl)
sub mapMessages {
	# error and warning messages
	$mapMsgs{'e01'} = "e = illegal position for syllable delimiter";
	$mapMsgs{'e02'} = "e = the number of word boundaries is not consistent";
	$mapMsgs{'e03'} = "e = illegal $lang symbol";
	$mapMsgs{'e04'} = "e = syllable contains no nucleus";
	$mapMsgs{'e05'} = "e = syllable contains more than one nucleus";
	$mapMsgs{'e06'} = "e = contains illegal stress pattern";
	$mapMsgs{'e07'} = "e = onset is not allowed word-initially";
	$mapMsgs{'e08'} = "e = not a $lang onset";
	$mapMsgs{'e09'} = "e = not a $lang coda";
	$mapMsgs{'e10'} = "e = MOP-violation, syllables";
	$mapMsgs{'w01'} = "w = probably unwanted duplication of";
	$mapMsgs{'w02'} = "w = possible non-compound with secondary stress";
	$mapMsgs{'w03'} = "w = rare $lang onset";
	$mapMsgs{'w04'} = "w = rare $lang coda";
	$mapMsgs{'w05'} = "w = possible MOP-violation, syllables";
	$mapMsgs{'w06'} = "w = geminate consonant over syllable boundary,";
}

## checks the settings in the ini-file, for what errors to look for and what messages to give
sub collectMsgsToLookFor {
	@error_keys = keys(%ERROR_MSGS);
	foreach $errorKey (keys(%ERROR_MSGS)) {
		if ($ERROR_MSGS{$errorKey} == 1) {push(@lookFor, $errorKey);}
	}
	foreach $warnKey (keys(%WARN_MSGS)) {
		if ($WARN_MSGS{$warnKey} == 1) {push(@lookFor, $warnKey);}
	}
}

## extract linguistic info from current entry
sub infoInEntry {
	# necessary linguistic information
	$ENTRY{ort}	= $posts[$ort_index];		# ort = orthography
	$ENTRY{morf}	= $posts[$morph_index];		# morf = morfological decomp
	@trcs = ();					# empty trcs-array
	foreach $trc_ind (@trc_index) {			# trcs-array = transcription(s)
		if($posts[$trc_ind] ne "") {push(@trcs, $posts[$trc_ind]);}
	}
	# additional linguistic information
	if ($pos_index != -1) {$ENTRY{pos} = $posts[$pos_index];}		# pos = part-of-speech
	else {$ENTRY{pos} = $restr_pos;}
	if ($ort_lang_index != -1) {$ENTRY{ort_lang} = $posts[$ort_lang_index];}# lang = language code
	else {$ENTRY{ort_lang} = $restr_lang;}
	if ($exp_index != -1) {$ENTRY{expan} = $posts[$exp_index];}		# exp = expansions of acronyms
	else {$ENTRY{expan} = $restr_expan;}
	if ($lex_index != -1) {$ENTRY{trcset} = $posts[$lex_index];}		# trcset = lexical origin of the transcription
	else {$ENTRY{trcset} = $restr_lex_origin;}
	if ($index_index != -1) {$ENTRY{lineIndex} = $posts[$index_index];}	# lineIndex = the index of the entry
	else {$ENTRY{lineIndex} = $restr_index;}
	if ($gbg_index != -1) {$ENTRY{garbage} = $posts[$gbg_index];}		# garbage = garbage marking
	else {$ENTRY{garbage} = $restr_garbage;}
	
	@trc_style_index = @trc_style_index_original;
	@trc_lang_index = @trc_lang_index_original;
}

## checks to see if the input restrictions specified in .ini-file are fulfilled
sub inputRestrictions {
	my $retur = "0";
	
	if ($ENTRY{ort} =~ /^$restr_ort$/ &&
	    $ENTRY{morf} =~ /^$restr_decomp$/ &&
	    $ENTRY{pos} =~ /^$restr_pos$/ &&
	    $ENTRY{ort_lang} =~ /^$restr_lang$/ &&
	    $ENTRY{expan} =~ /^$restr_expan$/ &&
	    $ENTRY{trcset} =~ /^$restr_lex_origin$/ &&
	    $ENTRY{garbage} =~ /^$restr_garbage$/) {
	    	$retur = "ok";
	}
	
	$retur;
}

## collects the language code and the style code for the current trc, sets to "" if no index is given in the ini-file
sub getLangAndStyle {
	if ($#trc_style_index == -1) {$trc_style = "";}
	else {
		my $i = shift(@trc_style_index);
		$trc_style = $posts[$i];
	}
	$ENTRY{trc_style} = $trc_style;
	if ($#trc_lang_index == -1) {$trc_lang = "";}
	else {
		my $i = shift(@trc_lang_index);
		$trc_lang = $posts[$i];
	}
	$ENTRY{trc_lang} = $trc_lang;
}


## -------------------------------------------------------------------------------------------------------------------------
## PARSING SUBROUTINES
## -------------------------------------------------------------------------------------------------------------------------
## ------------------ symbolParse ----------------------------
# DESCR: the trc string is divided in symbols and if errors are 
#	 found, these are collected in an error description 
#	 string. In general terms, the routine looks for plain
#	 symbol errors, using no linguistic knowledge.
# INPUT:	trc string, morphological decomposition string
# OUTPUT: 	error description string
## ------------------ symbolParse ----------------------------
sub symbolParse {
	my $trc = shift;		# take care of incoming variables
	my $morf = shift;
	my $errDesc = "";

	my $tmp = $trc;
	$tmp =~ s/($ALLOWED_DUPL)//g;
	if($tmp =~ /(.)\1/) {$errDesc .= $mapMsgs{w01}." $1 ::";}		# warn if any other character is duplicated

	if($trc =~ /($comp_syll_delim)$/) {$errDesc .= $mapMsgs{e01}." ::";}	# warn if trc ends with a syllable delimiter

	$errDesc .= &checkChars($trc, $morf);					# check for violations against rules in .lng-file

	my $nofInTrc = 0; my $nofInMorf = 0;
	$_ = $trc; while (/$symb_word_bound/g) {$nofInTrc++;}
	$_ = $morf; while (/$symb_word_bound/g) {$nofInMorf++;}
	if($nofInTrc != $nofInMorf){$errDesc .= $mapMsgs{e02}." ::";}		# warn if the number of word delimiters is inconsistent

	$trc =~ s/($comp_symbol)/;$1/go;	# insert ;-chars before every symbol
	$trc =~ s/^([^;])/;$1/;			# insert a ;-char string-initially
	my @symbols = split(/;/, $trc);		# split trc by ;-chars, collect in array
	foreach $symbol (@symbols) {		# check that each symbol is legal for the current alphabet
		if($symbol ne "") {
			if($symbol !~ /^($comp_symbol)$/) {
				$errDesc .= $mapMsgs{e03}." ($symbol) ::";	# warn if the symbol is not defined as legal
			}
		}
	}
	$errDesc;
}# end of symbolParse


## ------------------ checkChars -----------------------------
# DESCR: checks for unwanted sequences of characters, i.e.
#	 if the transcription conventions are violated.
# INPUT:	trc string, morphological decomposition string
# OUTPUT: 	error description string
## ------------------ checkChars -----------------------------
sub checkChars {
	my $trc = shift;	# take care of incoming variables
	my $morf = shift;
	my $errDesc = "";

	while (($trcPattern, $msg) = each %ERROR) {			# check the rules in %ERROR (from .lng-file)
		if ($trc =~ /$trcPattern/) {$errDesc .= "e = (.lng) $msg ::";}		# if pattern matches, print message
	}
	while (($trcPattern, $msg) = each %WARNING) {			# check the rules in %WARNING (from .lng-file)
		if ($trc =~ /$trcPattern/) {$errDesc .= "w = (.lng) $msg ::";}		# if pattern matches, print message
	}
	while (($ortCorr,$trcCorr) = each %TRC_MORF) {			# check the rules in %TRC_MORF (from .lng-file)
		if ($morf =~ /$ortCorr/) {
			($trcCorr1, $msg) = split(/--/, $trcCorr);
			if ($trc !~ /$trcCorr1/) {$errDesc .= "w = (.lng) $msg ::";}	# if patterns match, print message
		}
	}
	while (($pattern, $conditions) = each %IFF_ALL_CONDITIONS) {	# check the rules in "RULE: (xxx) IFF (yyy=>zzz AND www=>vvv)"
		if($trc =~ /$pattern/) {
			@conditions = split(/--/,$conditions);
			my $fulfilled = 1;
			CHK: foreach $cond (@conditions) {		# check that these conditions are fulfilled
				($feature,$value) = split(/=>/,$cond);
				$feat = "$ENTRY{$feature}";
				if ($feat !~ /$value/) {		# if a condition is not fulfilled
					$fulfilled = 0;			# set fulfilled to 0
					last CHK;			# exit the loop
				}
			}
			if ($fulfilled == 0) {				# if (at least) one condition is not fulfilled, print message
				$errDesc .= "e = (.lng) /$trc/ matches the pattern /$pattern/, but the specified conditions are not fulfilled ::";
			}
		}
	}
	while (($pattern, $conditions) = each %IFF_ONE_CONDITION) {	# check the rules in "RULE: (xxx) IFF (yyy=>zzz OR www=>vvv)"
		if($trc =~ /$pattern/) {
			@conditions = split(/--/,$conditions);
			my $fulfilled = 0;
			CHK: foreach $cond (@conditions) {		# check that at least one of these conditions are fulfilled
				($feature,$value) = split(/=>/,$cond);
				$feat = eval($ENTRY{$feature});
				if ($feat =~ /$value/) {		# if one condition is fulfilled
					$fulfilled = 1;			# set fulfilled to 1
					last CHK;			# exit the loop
				}
			}
			if ($fulfilled == 0) {				# if none of the conditions is fulfilled, print message
				$errDesc .= "e = (.lng) /$trc/ matches the pattern /$pattern/, but none of the specified conditions is fulfilled ::";
			}
		}
	}
	if($morf !~ /$comp_bound/ && $morf !~ /$DERIV/) {		# if the word is not a compound or a derived word
		if($trc =~ /($comp_consonant)($comp_not_sound)+($comp_consonant)/ && $1 eq $3) {
			my $cons = $1;					# if the same consonant on both sides of a syll bound, print msg
			$errDesc .= "$mapMsgs{'w06'} $cons ::";
		}
	}
	return $errDesc;
}#END: checkChars


## ---------------- syllStressParse --------------------------
# DESCR: checks the stress pattern of the transcription and if 
#	 the syllable structure is legal
# INPUT:	trc string, morphological decomposition string
# OUTPUT: 	error description string
## ---------------- syllStressParse --------------------------
sub syllStressParse {
	my $trc = shift;	# take care of incoming variables
	my $morf = shift;
	my $errDesc = "";
	my $syllIndex = 0;	# set syllable index to 0, i e the first syllable of the word
	
	if ($trc =~ /$stress_sec/) {				# if the word is marked with secondary stress...
		if ($morf !~ /($DERIV|$comp_bound|-)/) {	# but is not a derived word or a compound
			$errDesc .= $mapMsgs{w02}." ::";	# warn that the word shouldn't be transcribed as a compound
		}
	}

	my @words = split(/$symb_word_bound/,$trc);		# split the transcription at word boundaries
	foreach $word (@words) {
		my @sylls = split(/$comp_syll_delim/,$word);	# split the transcription at syllable boundaries
		my $lastSyll = "";				# initialize lastSyll to empty string

		foreach $syll (@sylls) {
			my $countVows = &countNuclei($syll);				# does the syllable contain a vowel?
			if ($countVows == 0) {						# no
				$errDesc .= $mapMsgs{e04}." $syll ::";			# print a message
				$lastSyll = "";
			}
			elsif ($countVows > 1) {					# yes, but more than one...
			       	$errDesc .= $mapMsgs{e05}." $syll ::";			# print a message
				$lastSyll = "";
			}
			else {								# yes, exactly one
				$errDesc .= &syllCheck($trc, $syll, $syllIndex);	# check syllable structure of the trc
				if ($lastSyll ne "") {					# check this syll and the last one for MOP-errors
					$errDesc .= &mopCheck($morf, $lastSyll, $syll);
				}
				$lastSyll = $syll;					# this syll is the last (most recent) one
			}
			$syllIndex++;
		}	
	}

	my $stringOk = 1;								# initialize stringOk to 1
	if($trc =~ /$symb_word_bound/) {						# if the trc contains some word delimiter
		@words = split(/$symb_word_bound/, $trc);				# split the phrase by the word delimiter(s)
		my $nofPhraseAccents = 0;						# set the phrase accent counter to 0
		foreach $word (@words) {
			# if word matches phrase accent pattern, increase count
			if($word =~ /^($pattern_phr_acc)$/o) {$nofPhraseAccents++;}
			# if word contains phrase accent symbol, but does not match phrase accent pattern, the string is not OK
			elsif ($word =~ /$stress_phr_acc/ && $word !~ /^($pattern_phr_acc)$/) {$stringOk = 0;}
			# if word contains secondary stress, but no main stress, the string is not OK
			elsif ($word =~ /$stress_sec/ && $word !~ /($comp_stress_main)/) {$stringOk = 0;}
		}
		if($nofPhraseAccents != 1) {$stringOk = 0;}				# the number of phr acc must be one
	}
	if($stringOk == 0) {$errDesc .= $mapMsgs{e06}." ::";}				# if string is not OK, print message
	return $errDesc;
}# end of sub syllStressParse



## -------------------- syllCheck ----------------------------
# DESCR: checks for illegal or rare onsets and codas
# INPUT: the trc, a syllable, the index of the syllable
# OUTPUT: error description string
## -------------------- syllCheck ----------------------------
sub syllCheck {
	my $trc = shift;		# take care of incoming variables
	my $syll = shift;
	my $syllIndex = shift;
	my $errDesc = "";
	
	$syll =~ s/^($comp_not_sound)+//g;			# remove non-sound symbols
	my ($onset, $coda) = split(/$comp_nucleus/o, $syll);	# split the syllable at the nucleus -> onset + coda

	if($onset ne "") {
		if($onset =~ /^$ONSET_rare$/o) {
			$errDesc .= $mapMsgs{w03}." ($onset) ::";		# warn if the onset is rare
		}
		elsif($syllIndex == 0 && $onset =~ /^$ONSET_not_init/o) {
			$errDesc .= $mapMsgs{e07}." ($onset) ::";		# warn if the syllable is word initial and shouldn't be
		}
		elsif($onset !~ /^$ONSET_legal$/) {
			$errDesc .= $mapMsgs{e08}." ($onset) ::";		# warn if the onset is not legal
		}
	}
	if($coda ne "") {
		if($coda =~ /$CODA_rare$/o) {
			$errDesc .= $mapMsgs{w04}." ($coda) ::";		# warn if the coda is rare
		}
		elsif($coda !~ /$CODA_legal$/) {
			$errDesc .= $mapMsgs{e09}." ($coda) ::";		# warn if the coda is not legal
		}
	}
	return $errDesc;
}



## ------------------- countNuclei ---------------------------
# DESCR: counts the number of nuclei in the given syllable
# INPUT: a syllalbe
# OUTPUT: the number of vowels in the syllable
## ------------------- countNuclei ---------------------------
sub countNuclei {
	my $inString = shift;						# take care of incoming variables
	my $countVows = 0;
	
	while ($inString =~ s/($comp_nucleus)//) {$countVows++;}	# count syllable nuclei
	
	return $countVows;                 				# return the number of vowels found
}



## --------------------- mopCheck ----------------------------
# DESCR: checks two syllables at a time and prints an error 
#	 message if a MOP-violation is found. Exceptions are
#	 compound and abbreviations of the type "AMF".
# INPUT: morf decomp, two successive syllables
# OUTPUT: an error description string
## --------------------- mopCheck ----------------------------
sub mopCheck {
	my $morf = shift;				# take care of incoming variables
	my $syll1 = shift;
	my $syll2 = shift;
	my $errDesc = "";
	
	if($syll1 =~ /($comp_nucleus)($comp_consonant)+$/) {	# if 1st syll ends with at least one consonant
		my $comb = $syll1.$syll2;  			# concatenate syll1 and syll2
		
		$syll2Onset = $syll2; 				# extract the onset of $syll2
		$syll2Onset =~ s/($comp_not_sound)//g;
		$syll2Onset =~ s/^(($comp_consonant)*).*/$1/;

		$comb =~ s/($comp_not_sound)//g;  		# remove onset+vowel from syll1 and rhyme from syll2
		$comb =~ s/^(.*?)($comp_nucleus)(($comp_consonant)*).*$/$3/;
		
		my $errorFound = 0;				# no MOP-error has yet been found

		while($errorFound == 0 && $comb ne $syll2Onset && $comb ne "") {	# no error + $comb is not empty or = $syll2Onset...
			$^W = 0; 							# (do not print a warning)
			if($comb =~ /^($ONSET_legal)$/o) {				# if $comb forms a legal onset => MOP-violation
				if($morf !~ /($comp_bound)/ && $morf !~ /[A-Z]{2,}/ && ($ENTRY{expan} eq "")) {
					$errDesc = $mapMsgs{e10}." $syll1 and $syll2 ::";	# error if word is not compound or abbr
				}
				else {
					$errDesc = $mapMsgs{w05}." $syll1 and $syll2 ::";	# warn if word is compound or abbr
				}
				$errorFound = 1;
			}
			else {$comb =~ s/^$comp_consonant(.*)/$1/;}			# remove initial consonant from $comb
		}#END: while($errorFound == 0 && $comb...
	}#END: if($syll1 =~ /($comp_nucleus)($comp_consonant)+$/)
	return $errDesc;
}#END: sub mopCheck



## -------------------------------------------------------------------------------------------------------------------------
## SUBROUTINES: fixing output
## -------------------------------------------------------------------------------------------------------------------------
## sorts the error and warning messages, and only print the ones asked for (in .ini-file)
sub fixErrDesc {
	my $errDesc = shift;
	my $newErrDesc = "";
	$ENTRY{trc} =~ s/;//g;				# remove all ;-chars from the transcription string
	my @errDesx1 = split(/ ::/, $errDesc);		# split the error description by ' ::'
	my @errDesx2 = sort(@errDesx1);
	foreach $errDesc (@errDesx2) {
		my $match = 0;
		foreach $key (@lookFor) {
			my $string = $mapMsgs{$key};
			if ($errDesc =~ /^$string/ || $errDesc !~ /^(w|e) =/) {$match = 1;}
			elsif ($errDesc =~ /^(w|e) = \(\.lng\)/) {$match = 1;}
		}
		if ($match == 1) {$newErrDesc .= "\n#\t$errDesc";}
	}
	return $newErrDesc;
}

## prints the output according to description in .ini-file
sub fixOutput {
	my $errDesc = shift;
	my $totString = "";
	if ($costum_output ne 0) {
		@ElementsToPrint = split(/\|/, $costum_output);
		foreach $element (@ElementsToPrint) {
			$totString .= $ENTRY{$element}.", ";
		}
		$totString =~ s/, $//;
		$totString = "$totString$errDesc\n\n";
	}
	else {
		chomp $lexEntry;
		$totString = "$lexEntry$errDesc\n\n";
	}
	$totString = &replaceBack($totString);
	$errOut{$totString} = $errDesc;
	return $totString;
}

## replaces dummies with special characters, all specified in .ini-file
sub replaceBack {
	my $string = shift;
	@replacements = split(/\|/, $replace);
	@replacements1 = reverse(@replacements);
	foreach $repl (@replacements1) {
		($x, $y) = split(/\s:\s/, $repl);
		$string =~ s/$y/$x/g;
	}
	return $string;
}

## collects the statistics of number of trcs etc.
sub getStatistics {
	my $out = "# ------------------------ RESULTS --------------------------\n";
	$out .= "# Number of lexical entries in $infile = $nofLines\n";
	$out .= "# Number of lexical entries in checked set = $nofEntriesInSet\n";
	$out .= "# Number of transcriptions in checked set of entries = $nofTrcs\n";
	$out .= "# Number of erroneous transcriptions found in checked set of entries = $nofErrTrcs\n";
	$out .= "# Number of garbage entries in checked set of entries = $nofGarbage\n";
	$out .= "# Output file: $outfile\n";
	$out .= "# Generated $TIME\n";
	$out .= "# -----------------------------------------------------------\n";
	return $out;
}

## sorts and prints error and warning messages according to specs in .ini-file
sub sortPrintMessages {
	my $statistics = shift;
	# messages containing just warnings are separated from those containing errors
	foreach $errString (keys %errOut) {
		if($errString !~ /e\s=\s/) {push(@warnings, $errString);}
		else {push(@mixed, $errString);}
	}
	# the keys in %errOut are sorted by values
	@mixedKeys = sort {$errOut{$a} cmp $errOut{$b}} @mixed;
	@warningKeys = sort {$errOut{$a} cmp $errOut{$b}} @warnings;
	
	open(OUT, ">>$outfile");					# output is printed to file
	if($list_statistics == 1) {print OUT $statistics;}
	
	my $lastPrinted = "";
	foreach $mix (@mixedKeys) {
		if ($mix ne $lastPrinted) {print OUT $mix;}		# don't print duplicates
		$lastPrinted = $mix;
	}
	foreach $warning (@warningKeys) {
		if ($warning ne $lastPrinted) {print OUT $warning;}	# don't print duplicates
		$lastPrinted = $warning;
	}
	if($list_correct == 1) {					# if corrected entries should be listed at the end
		print OUT "\n\nCORRECT ENTRIES:\n";
		@sortedCorrect = sort @correctOut;
		foreach $correct (@sortedCorrect) {
			if ($correct ne $lastPrinted) {print OUT "$correct";}
			$lastPrinted = $correct;
		}
	}
	close(OUT);
}#END: sub sortPrintMessages
## -------------------------------------------------------------------------------------------------------------------------
## END: Values from CorrPhon.pl
## ---------------------------------------------------------------------------
